Bug 1479517 - upgrade to fedora 26 could not upgrade osm2pgsql since nothing provides libboost_system
upgrade to fedora 26 could not upgrade osm2pgsql since nothing provides libbo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: osm2pgsql (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 13:03 EDT by Andreas Kriegl
Modified: 2018-05-05 18:24 EDT (History)
1 user (show)

See Also:
Fixed In Version: osm2pgsql-0.94.0-1.fc28 osm2pgsql-0.94.0-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-02 07:46:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Kriegl 2017-08-08 13:03:54 EDT
Description of problem:
upgrade to fedora 26 failed updating osm2pgsql

Version-Release number of selected component (if applicable):
osm2pgsql-0.92.0-1.fc26

How reproducible:
always

Steps to Reproduce:
1. dnf install osm2pgsql

Actual results:
Error: 
 Problem: conflicting requests
  - nothing provides libboost_system.so.1.60.0 needed by osm2pgsql-0.92.0-1.fc26.i686

Expected results:
successfull installation of osm2pgsql
Comment 1 Fedora Update System 2018-03-23 13:30:15 EDT
osm2pgsql-0.94.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9965d6339c
Comment 2 Fedora Update System 2018-03-23 13:47:58 EDT
osm2pgsql-0.94.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ab0fae2aec
Comment 3 Fedora Update System 2018-03-23 22:28:10 EDT
osm2pgsql-0.94.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ab0fae2aec
Comment 4 Fedora Update System 2018-03-24 16:05:51 EDT
osm2pgsql-0.94.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9965d6339c
Comment 5 Fedora Update System 2018-04-02 07:46:28 EDT
osm2pgsql-0.94.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2018-05-05 18:24:50 EDT
osm2pgsql-0.94.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.